#### D.15.31.2 preim

Procedure from library `tropicalEllipticCovers.lib` (see tropicalEllipticCovers_lib).

Usage:
  preim(O, x); O list, x poly/number

Assume:
  O is a list of ordering of the set of vertices (or indices of the vertices), x is a monomial representing a vertex of a graph (or the index of the vertex we are interested in).

Return:
  int.

Theory:
  This gives the entry number of x in list O.

Example:

    LIB "tropicalEllipticCovers.lib";
    ring r=0,(x1,x2,x3,x4),dp;
    preim(list(x1,x3,x4,x2),x2);

User manual for Singular version 4.4.1, 2025, generated by texi2html.